<%@ Page Language="C#" MasterPageFile="~/admin/admin_page.master" AutoEventWireup="true" CodeBehind="productclassnav.aspx.cs" Inherits="YXShop.Web.admin.product.productclassnav" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
    <link rel="stylesheet" href="../style/validator.css" type="text/css" />
    <script type="text/javascript" src="../../scripts/validate.js"></script>
    <link rel="stylesheet" href="../style/toolbar.css" type="text/css" />
    <script src="../scripts/public.js" type="text/javascript"></script>
    <script language="javascript" type="text/javascript">
    function Del(id)
    { 
       if(confirm('确定要永久删除该信息吗?删除后将不能被恢复!'))
       {
            var param = "Option=del&id=" + id;
            var options = 
            { method: 'post',parameters: param,onComplete:
                 function(transport)
                 {
                     var retv = transport.responseText;
                     if(retv=="no")
                     {
                     alert("对不起，你没有删除权限！");
                     }
                     else
                     {
                     window.location.reload();
                     }
                 }
            }
        }
        else
        {
            return false;
        }
        new Ajax.Request('productclassnav.aspx', options);
    }
    
    function Sort(id)
    {
        var sort=$("sort"+id).value;
        var num="^[0-9]*[1-9][0-9]*$";
        if(sort.search(num)!=0)
        {
          return false;
        }
        var param = "Option=sort&sort="+sort+"&id=" + id;
        var options = 
        { method: 'post',parameters: param,onComplete:
             function(transport)
             {
                 var retv = transport.responseText;
                 if(retv=="ok")
                 {
                    window.location.reload();
                 }
                 else if(retv=="no")
                 {
                  alert("对不起，你没有编辑权限！");
                 }
             }
        }
        new Ajax.Request('productclassnav.aspx', options);
    }
    </script>
    <script src="../scripts/images.js" type="text/javascript"></script>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="pagetitle" runat="server">分类导航
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="pageinfo" runat="server">分类导航管理
分类导航是前台导航条显示的导航信息.<asp:LinkButton ID="LinkButton1" runat="server" OnClick="Save_Click" Text="保存"/>
</asp:Content>
<asp:Content ID="Content4" ContentPlaceHolderID="workspace" runat="server">
<asp:Panel ID="pnlMsg" runat="server" Visible="false" CssClass="pnlReturnMessageErr">
        <asp:Literal ID="ltlMsg" runat="server"></asp:Literal>
    </asp:Panel>
<table border="0" cellpadding="1" cellspacing="1" class="form_table_input">
    <tr>
        <td>商品分类：</td>
        <td>
            <asp:TextBox ID="txtProductClass" runat="server"></asp:TextBox>
            <asp:HiddenField runat="server" ID="hfcid" />
        </td>
        <td>
            <asp:Panel ID="txtProductClassTip" runat="server"></asp:Panel> 
        </td>
    </tr>
    <tr>
        <td>重命名：</td>
        <td>
            <asp:TextBox ID="txtName" runat="server"></asp:TextBox>
        </td>
        <td>
            <div class="msgNormal">当重命名为空时默认是分类名称，如果不为空该名称将作为前台显示的名称。</div>
        </td>
    </tr>
    <tr>
        <td>显示顺序：</td>
        <td>
            <asp:TextBox ID="txtSort" runat="server"  CssClass="short_input"></asp:TextBox>
        </td>
        <td>
            <asp:Panel ID="txtSortTip" runat="server"></asp:Panel>
        </td>
   </tr>
   
    
</table>
<asp:Literal ID="Literal1" runat="server"></asp:Literal>

</asp:Content>
